# EventHandler (SubServers.Host)

net.ME1312.SubServers.Host.Library.Event

## Annotation Type EventHandler

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface EventHandler

EventHandler Method Annotation
Methods annotated by this and registered in SubAPI will be run when the event is called

See Also:
  `SubAPI.addListener(SubPluginInfo, Listener...)`

### Optional Element Summary

Optional Elements
`boolean` `override` If this Event should be run even if it's been cancelled
`EventPriority` `priority` The Priority of this Event

### Element Detail

#### priority

    public abstract EventPriority priority

The Priority of this Event

Returns:
  Event Priority

Default:
  net.ME1312.SubServers.Host.Library.Event.EventPriority.NORMAL

#### override

    public abstract boolean override

If this Event should be run even if it's been cancelled

Returns:
  Override Status

Default:
  false